Skip to main content
GET
/
v1
/
webhook_endpoints
List WebhookEndpoints
curl --request GET \
  --url https://api.leanrails.com/v1/webhook_endpoints \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "we_xxx",
      "object": "webhook_endpoint",
      "url": "https://example.com/webhook",
      "enabled_events": [
        "payment_intent.succeeded"
      ],
      "status": "enabled",
      "created": 1234567890,
      "livemode": false,
      "merchant_id": "mer_xxx",
      "secret": "whsec_xxx",
      "description": "<string>"
    }
  ],
  "has_more": true,
  "url": "/v1/webhook_endpoints",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

Response

A list of WebhookEndpoints.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/webhook_endpoints"

next_cursor
string | null